# TPK4186 - Advanced Tools for Performance Engineering
# FileFormatter.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Function
def FileFormatter(inputFileName, outputFileName):
  try:
    inputFile = open(inputFileName, "r") 
  except: 
    print("Unable to open file " + inputFileName)
    return
  try:
    outputFile = open(outputFileName, "w") 
  except: 
    print("Unable to open file " + outputFileName)
    inputFile.close()
    return
  for line in inputFile:
    count = 0
    for c in line:
      outputFile.write(c)
      count += 1
      if count%80==0 and c!="\n":
        outputFile.write("\n")
  outputFile.flush()
  outputFile.close()
  inputFile.close()

# Test
FileFormatter("Lorem Ipsum.txt", "Lorem Ipsum - Formatted.txt")
