# TPK4186 - Advanced Tools for Performance Engineering
# TypicalPatterns.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Required modules
import sys
import re

# Q1: Capitalized names
pattern = r'[A-Z][a-z]*'
string = "My name is Bond, James Bond."
print( re.findall(pattern, string) )

# Q2: Paths
pattern = r'([a-zA-Z_][a-zA-Z0-9_]*([.][a-zA-Z_][a-zA-Z0-9_]*)*)'
string = "valve33._state := pump42.output;"
print( re.findall(pattern, string) )



